curl --request POST \
--url https://app.tagadapay.com/api/public/v1/payment-instruments/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"pageSize": 20,
"sortBy": {
"field": "createdAt",
"direction": "desc"
}
}
'{
"items": [
{
"id": "pi_123",
"type": "card",
"customerId": "cus_123",
"accountId": "acc_123",
"isActive": true,
"isDefault": false,
"tokenizer": "basistheory",
"createdAt": "2024-03-20T10:30:00Z",
"updatedAt": "2024-03-20T10:30:00Z",
"card": {
"last4": "1234",
"brand": "visa",
"expYear": 2025,
"expMonth": 12
},
"metadata": {}
}
],
"total": 50,
"page": 1,
"pageSize": 20,
"totalPages": 3
}List payment instruments with filtering, sorting and pagination
curl --request POST \
--url https://app.tagadapay.com/api/public/v1/payment-instruments/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"pageSize": 20,
"sortBy": {
"field": "createdAt",
"direction": "desc"
}
}
'{
"items": [
{
"id": "pi_123",
"type": "card",
"customerId": "cus_123",
"accountId": "acc_123",
"isActive": true,
"isDefault": false,
"tokenizer": "basistheory",
"createdAt": "2024-03-20T10:30:00Z",
"updatedAt": "2024-03-20T10:30:00Z",
"card": {
"last4": "1234",
"brand": "visa",
"expYear": 2025,
"expMonth": 12
},
"metadata": {}
}
],
"total": 50,
"page": 1,
"pageSize": 20,
"totalPages": 3
}Enter your API key as: Bearer your-api-key
Successful response